Subject: bug#24868: 26.0.50; LaTeX-verbatim-macros-with-delims-local isn't taken into account

From: Tassilo Horn <[email-masked]>
Date: Fri, 04 Nov 2016 19:54:25 +0100

Clément Pit--Claudel <[email-masked]> writes:

> On 2016-11-03 15:09, Eli Zaretskii wrote:
>>> > (2) there's no hook-like thing that would be run whenever some specific
>>> >     variable is modified due to file-local or directory-local variables,
>>> >     no?  So I guess the right way to make Clément's use-case work was to
>>> >     provide functions for modifying those variables that can be run from
>>> >     an eval: local variables block and then refresh the fontification if
>>> >     needed, right?
>> Probably.  Unless someone will come up with a more clever idea.
>
> Hmm. Wouldn't something like the following work?
>
> (add-hook 'hack-local-variables-hook
>           (lambda () 
>              (when (…check relevant variable for a change…)
>                (…refresh fontification…)))

Yeah, that did the trick.  I've just pushed a fix like that and also
declared the LaTeX-verbatim-*-local variables as safe-local-variables in
case their value is a list of strings.  I briefly tested that it works
as expected with both a file-local variables section and a
.dir-locals.el file.

Could you give it a try and report back so that I can close the bug
then?

Bye,
Tassilo